Jak naprawić ten błąd?


#1


#2

Przeczytałeś treść błędu?

AimPanel wspiera jedynie debiana 7 i ubuntu 14.04. Instalator wykrył ubuntu 16.04, więc zakończył działanie.


#3

A da się zmienić wersję?


#4

Jeżeli używasz serwera VPS z oferty lvlup, to upewnij się że nie zostaje na maszynie nic ważnego i możesz ją przeinstalować.
Jeżeli masz serwer vps OpenVZ to zatrzymaj serwer, a potem wybierz opcję reinstalacji i wybierz Ubuntu 14.04.
Jeżeli masz serwer vps KVM to zatrzymaj serwer, a potem wybierz opcję reinstalacji - sama Ci zainstaluje Ubuntu 14.04.


#5

zmień w pliku instalacyjnym nazwę kodową systemu


#6

Może to wywołać dużo błędów i spowodować niepowodzenie instalacji.


#7

Mam vps wykupionego na hostingu titanaxe tam nie ma opcji reinstalacji/zmiany wesji nie da się tego zmienić jakąś komendą w putty?


#8

Przez polecenie się nie da - tu potrzebna jest pełna reinstalacja systemu.
W takiej sytuacji pozostaje zmienić w pliku instalacyjnym nazwę kodową, ale to bardzo kiepski pomysł, bo nigdy nie wiadomo co właściwie może z tego wyniknąć.


#9

jaki system aktualnie posiadasz?


#10

W komunikacie błędu masz napisane, że wykryto ubuntu 16.04


#12

wget http://repo.aimpanel.pro/setup.sh
nano setup.sh
i zamień tu image
trusty na xenial
potem ./setup.sh


#13

Otrzymałem wiadomość Package ‘openjdk-7-jre-headless’ has no installation candidate


#14

sudo apt-get install openjdk-7-jre


#15

Więc oto jest jeden z problemów z takimi “czitami” przy instalatorze. Musisz znaleźć jakąś metodę na zainstalowanie tego pakietu, lub zainstaluj inny pakiet javy, a z instalatora wyrzuć etap instalacji javy.


#16

Nadal


#17

jeżeli moja komenda zadziałała to możesz zignorować ten komunikat


#18

Gdy wpisalem twoją komende: Package ‘openjdk-7-jre’ has no installation candidate


#20

Your system is not supported


#21

spróbuj teraz


#22

bash: line 72: add-apt-repository: command not found